package main

import (
	"encoding/json"
	"log/slog"

	_ "code.wuban.net.cn/odysseus/twitter_syncer/docs"
	// docs are generated by Swag CLI, you have to import them.
	// replace with your own docs folder, usually "github.com/username/reponame/docs"
	//_ "github.com/gofiber/swagger/example/docs"

	"github.com/supabase-community/supabase-go"
)

var client *supabase.Client

func init() {

	var API_URL = "http://43.198.54.207:8000"
	var API_KEY = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyAgCiAgICAicm9sZSI6ICJzZXJ2aWNlX3JvbGUiLAogICAgImlzcyI6ICJzdXBhYmFzZS1kZW1vIiwKICAgICJpYXQiOiAxNjQxNzY5MjAwLAogICAgImV4cCI6IDE3OTk1MzU2MDAKfQ.DaYlNEoUrrEn2Ig7tqibS-PHK5vgusbcbo7X36XVt4Q"

	for {
		cli, err := supabase.NewClient(API_URL, API_KEY, &supabase.ClientOptions{
			Schema: "twitter",
		})
		if err != nil {
			slog.Error("supabase.NewClient", "err", err.Error())
			return
		} else {
			client = cli
			break
		}
	}
}

func TwitterAccountFromDB() ([]TwitterAccount, error) {

	data, count, err := client.From("account").Select("*", "exact", false).Eq("available", "true").Execute()

	if err != nil {
		return nil, err
	}

	slog.Info("TwitterAccountFromDB", "count", count)

	res := make([]TwitterAccount, 0, count)

	if err := json.Unmarshal(data, &res); err != nil {
		return nil, err
	}

	return res, nil
}
