package main

import (
	"log/slog"
	"time"

	// "github.com/gofiber/fiber/v2"
	// "github.com/gofiber/fiber/v2/middleware/cors"
	// "github.com/gofiber/swagger"

	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/fiber/v2/middleware/cors"

	"github.com/gofiber/swagger"
	// docs are generated by Swag CLI, you have to import them.
	// replace with your own docs folder, usually "github.com/username/reponame/docs"
	//_ "github.com/gofiber/swagger/example/docs"
)

func mainBak() {

	app := fiber.New()
	app.Use(cors.New())

	// app.Get("/", func(c *fiber.Ctx) error {
	// 	return c.SendString("OK")
	// })

	app.Static("/*", "./public", fiber.Static{
		Compress:      true,
		ByteRange:     true,
		Browse:        true,
		CacheDuration: 10 * time.Second,
		MaxAge:        3600,
		Download:      true,
	})

	// app.Static("/*", "./public/")

	// app.Static("/swagger/docs", "./docs")

	// app.Static("/swagger/docs", "./docs")

	app.Get("/swagger/*", swagger.New(swagger.Config{ // custom
		URL:         "http://43.198.54.207:8001/swagger/docs/swagger.yaml", //http://124.193.167.71:8000/
		DeepLinking: false,
		// Expand ("list") or Collapse ("none") tag groups by default
		DocExpansion: "none",
		// Prefill OAuth ClientId on Authorize popup
		// OAuth: &swagger.OAuthConfig{
		// 	AppName:  "OAuth Provider",
		// 	ClientId: "21bb4edc-05a7-4afc-86f1-2e151e4ba6e2",
		// },
		// Ability to change OAuth2 redirect uri location
		//OAuth2RedirectUrl: "http://localhost:8080/swagger/oauth2-redirect.html",
	}))

	// app.Static("/swagger/docs", "./docs")
	// app.Get("/swagger/*", swagger.New(swagger.Config{ // custom
	// 	URL:         "http://43.198.54.207:8001/swagger/docs/swagger.yaml", //http://124.193.167.71:8000/
	// 	DeepLinking: false,
	// 	// Expand ("list") or Collapse ("none") tag groups by default
	// 	DocExpansion: "none",
	// 	// Prefill OAuth ClientId on Authorize popup
	// 	// OAuth: &swagger.OAuthConfig{
	// 	// 	AppName:  "OAuth Provider",
	// 	// 	ClientId: "21bb4edc-05a7-4afc-86f1-2e151e4ba6e2",
	// 	// },
	// 	// Ability to change OAuth2 redirect uri location
	// 	//OAuth2RedirectUrl: "http://localhost:8080/swagger/oauth2-redirect.html",
	// }))

	if err := app.Listen(":8001"); err != nil {
		slog.Error(err.Error())
	}
}
