package main

import (
	"time"

	"github.com/g8rswimmer/go-twitter/v2"
)

type Token struct {
	Bearer         string
	ConsumerKey    string
	ConsumerSecret string
	AccessToken    string
	AccessSecret   string

	//MonthRateLimit
}

// const FollowRateLimit

type Fee struct {
	RateLimits map[string]twitter.RateLimit
	Apps       int
}

// type RateLimit struct {
// 	Duration time.Duration
// 	Num      int
// }

type Project struct {
	name  string
	token Token
	fee   Fee
}

var rateLimit map[string]twitter.RateLimit

const ProjectMonthKey = "ProjectMonth"

// const RetweetPerApp = "RetweetPerApp"
// const RetweetPerUser = "RetweetPerUser"

func getMonthEnd(t time.Time) time.Time {
	//func getMonthStartAndEnd(t time.Time) (time.Time, time.Time) {
	year, month, _ := t.Date()

	start := time.Date(year, month, 1, 0, 0, 0, 0, t.Location())
	end := start.AddDate(0, 1, -1).Add(23 * time.Hour).Add(59 * time.Minute).Add(59 * time.Second).Add(999 * time.Nanosecond)
	//return start, end
	return end
}

func init() {

	rateLimit[ProjectMonthKey] = twitter.RateLimit{
		Limit: 10000,
		Reset: twitter.Epoch(getMonthEnd(time.Now()).Unix()),
	}
}
