package main

import (
	"fmt"
	"testing"
	"time"
)

func add1[T int | float32 | float64](a, b T) T {
	c := a + b
	return c
}

func TestChan(t *testing.T) {

	// 创建一个可以容纳任何类型的通道
	ch := make(chan any, 10)

	// 使用通道
	ch <- 123 // 可以存放int类型

	number := <-ch // 读取通道，number类型为any

	t.Logf("type %T  %v \n", number, number)

	ch <- "hello" // 可以存放string类型

	number = <-ch // 读取通道，number类型为any

	t.Logf("type %T  %v \n", number, number)

}

/*


// 定义
type Struct1 [T string|int|float64] struct {
  Title string
  Content  T
}

// 实例化
test：= Struct1[string]{
    Title:"aaa"
    Content :"bbb"
}

// 定义
type MyMap[K string | int, V string | int] map[K]V

// 实例化
test := MyMap[string, int]{
		"1": 1,
		"2": 2,
	}
	fmt.Println(test["1"])


	type gchan[T any] chan T
实例化
strchan := make(gchan[string])


*/

//type gchan[T FollowTask | RetweetTask] chan T

//NewTask

//func InitTask(done <-chan interface{}, instream <-chan any) {

func TestTimer(t *testing.T) {

	timer1 := time.NewTimer(2 * time.Second)

	time.Sleep(4 * time.Second)

	<-timer1.C
	fmt.Println("Timer 1 fired")

	timer1.Reset(2 * time.Second)

	time.Sleep(4 * time.Second)

	<-timer1.C
	fmt.Println("Timer 1 fired")

}
